## aircrack-ng 1.6

=== debian/changelog ===
aircrack-ng (1:1.6-4) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Feb 2020 23:16:41 +0000

aircrack-ng (1:1.6-3) experimental; urgency=medium

  * d/p/ftbfs_i386_s390.patch: Update patch to skip tests broken on
    big endian archs

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Feb 2020 22:38:26 +0000

aircrack-ng (1:1.6-2) experimental; urgency=medium

  * d/p/ftbfs_i386_s390.patch: New patch to fix ftbfs with upstream suggestion

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Feb 2020 00:40:09 +0000

aircrack-ng (1:1.6-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump DH level to 12
  * Bump Standards Version to 4.5.0
  * Switch to python3 (closes: #936113)
  * d/copyright: Major update for 1.6
  * d/control: Add Rules-Requires-Root: no
  * d/control: Use debelpher-compat
  * Add salsa-ci.yml

  [ Sophie Brun ]
  * Add gpsd in Suggests

 -- Samuel Henrique <samueloph@debian.org>  Thu, 06 Feb 2020 23:29:19 +0000

=== debian/control ===
Source: aircrack-ng
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
           Samuel Henrique <samueloph@debian.org>
Homepage: http://www.aircrack-ng.org/
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libhwloc-dev,
               libcmocka-dev,
               libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
               libnl-genl-3-dev [linux-any],
               libpcap0.8-dev,
               libpcre3-dev,
               libsqlite3-dev,
               pkg-config,
               python3-all,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git

Package: aircrack-ng
Architecture: any
Depends: ethtool,
         hwloc,
         iw [linux-any],
         rfkill,
         usbutils,
         wireless-tools [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ieee-data
Suggests: gpsd
Description: wireless WEP/WPA cracking utilities
 aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
 40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
 have been gathered. Also it can attack WPA1/2 networks with some advanced
 methods or simply by brute force.
 .
 It implements the standard FMS attack along with some optimizations,
 thus making the attack much faster compared to other WEP cracking tools.
 It can also fully use a multiprocessor system to its full power in order
 to speed up the cracking process.
 .
 aircrack-ng is a fork of aircrack, as that project has been stopped by
 the upstream maintainer.

Package: airgraph-ng
Architecture: all
Depends: graphviz,
         ${misc:Depends},
         ${python3:Depends}
Recommends: aircrack-ng
Description: Tool to graph txt files created by aircrack-ng
 airgraph-ng is a tool to create a graph ouf of the txt file created by airodump
 with its -w option. The graph shows the relationships between the clients and
 the access points.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),amd64)
	(echo "SSEFLAG=Y"; echo "NEWSSE=true"; echo "SIMDCORE=true"; echo "PTHREAD=Y") >common.cfg
else
	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
endif
	dh_auto_configure -- --with-gcrypt --with-experimental

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airodump-ng-oui-update*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng
	ls $(CURDIR)/debian/aircrack-ng/usr/lib/
	find $(CURDIR)/debian/aircrack-ng/usr/lib/ -iname "*.la" -type f -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/graphviz/libOuiParse.py
	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraph-ng
	sed -i 's|^#!/usr/bin/python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airodump-join

override_dh_fixperms-indep:
	dh_fixperms
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airodump-join
	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/aircrack-ng-$1\.tar\.gz/\
,uversionmangle=s/-/~/ \
  https://github.com/aircrack-ng/aircrack-ng/tags .*/v?(\d\S*)\.tar\.gz

## aircrack-ng 1.6%2Bgit20210130.91820bc

=== airgraph-ng/lib/Makefile ===
AC_ROOT		= ../../..
include		$(AC_ROOT)/common.mak

LIB_FILES	= lib_Airgraphviz.py

ag_lib		= $(DESTDIR)$(bindir)/lib

default: all

all:
	@echo Nothing to do. Run make install
	
install: uninstall
	install -d $(ag_lib)
	install -m 644 $(LIB_FILES) $(ag_lib)

uninstall:
	-rm -f $(ag_lib)/lib_Airgraphviz.py

## aircrack-ng 1.6+git20200821.87bf5727

=== debian/changelog ===
aircrack-ng (1:1.6+git20200821.87bf5727-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Wrap long lines in changelog entries: 1:0.6.2-5.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * New upstream version 1.6+git20200821.87bf5727
    - Support for clean builds with GCC 10 (closes: #956990)
  * Bump DH to 13
  * d/p/ftbfs_i386_s390.patch: Remove patch, fixed upstream
  * d/(rules|airgraph-ng.install): Reflect change of name for
    graphviz -> airgraphviz
  * d/copyright: Fix some ordering issues related to wildcard matches

 -- Samuel Henrique <samueloph@debian.org>  Fri, 21 Aug 2020 20:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Samuel Henrique <samueloph@debian.org>
-Homepage: http://www.aircrack-ng.org/
-Build-Depends: debhelper-compat (= 12),
+Homepage: https://www.aircrack-ng.org/
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libhwloc-dev,
                libcmocka-dev,

## aircrack-ng 1.6+git20201206.8259703

=== debian/changelog ===
aircrack-ng (1:1.6+git20201206.8259703-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 1.6+git20201206.8259703
  * Bump Standards-Version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Dec 2020 17:40:21 +0000

## aircrack-ng 1.6+git20210130.91820bc

=== commview/Makefile ===
ROOT    = ../..
include $(ROOT)/common.mak

CFLAGS	+= $(PIC) -I$(ROOT)/src/osdep
OBJS	= commview.o
DLL	= commview.dll
LIBS	= -liphlpapi -lsetupapi -luuid -lpthread

all: $(DLL)

$(DLL): $(OBJS)
	$(CC) -shared -o $(DLL) $(OBJS) $(LIBS)

clean:
	rm -f $(DLL) $(OBJS)

=== peek/Makefile ===
ROOT    = ../..
include $(ROOT)/common.mak

CFLAGS	+= $(PIC) -I$(ROOT)/src/osdep
NAME	= omnipeek
OBJS	= $(NAME).o
DLL	= $(NAME).dll
LIBS	=

all: $(DLL)

$(DLL): $(OBJS)
	$(CC) -shared -o $(DLL) $(OBJS) $(LIBS)

clean:
	rm -f $(DLL) $(OBJS)

=== debian/changelog ===
aircrack-ng (1:1.6+git20210130.91820bc-1) unstable; urgency=medium

  * New upstream version 1.6+git20210130.91820bc
    - airmon-ng: Updated supported RPi hardware revisions list

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 19:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-all,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airdriver-ng
 	ls $(CURDIR)/debian/aircrack-ng/usr/lib/
 	find $(CURDIR)/debian/aircrack-ng/usr/lib/ -iname "*.la" -type f -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
-	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/graphviz/libOuiParse.py
+	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraphviz/libOuiParse.py
 	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraph-ng
 	sed -i 's|^#!/usr/bin/python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airodump-join

## aircrack-ng 1.7

=== debian/changelog ===
aircrack-ng (1:1.7-5) unstable; urgency=medium

  * Upload to unstable:
    - d/p/s390x_ftbfs.patch: New patch suggested by upstream to address s390x
      FTBFS (closes: #1017993, #1020447)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 24 Sep 2022 15:56:42 +0100

aircrack-ng (1:1.7-4) experimental; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Samuel Henrique ]
  * Revert "Stop building on big endian architectures due to failures"
  * d/p/s390x_ftbfs.patch: New patch suggested by upstream to address s390x
    FTBFS

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Sep 2022 18:32:49 +0100

aircrack-ng (1:1.7-3) unstable; urgency=medium

  * Stop building on big endian architectures due to failures

 -- Samuel Henrique <samueloph@debian.org>  Tue, 16 Aug 2022 10:10:47 +0100

aircrack-ng (1:1.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Sun, 17 Jul 2022 18:39:51 +0200

aircrack-ng (1:1.7-1) experimental; urgency=medium

  * New upstream version 1.7

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Jun 2022 19:26:59 +0100

aircrack-ng (1:1.6+git20210130.91820bc-2) unstable; urgency=medium

  * Team upload
  * Add missing depends for airmon-ng script
  * Add dcrack script in aircrack-ng package (Closes: #989837)
  * Use Python3 eveywhere

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Aug 2021 13:28:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-all,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git
@@ -32,8 +32,9 @@
          usbutils,
          wireless-tools [linux-any],
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ieee-data
+Recommends: ieee-data, iproute2
 Suggests: gpsd
 Description: wireless WEP/WPA cracking utilities
  aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a

## aircrack-ng 1.7+git20230807.4bf83f1a

=== airpcap/Makefile ===
ROOT    = ../..
include $(ROOT)/common.mak

CFLAGS = -g -I$(ROOT)/../developers/Airpcap_Devpack/include -I$(ROOT)/src/osdep
#LIBS = -L $(ROOT)/../developers/Airpcap_Devpack/lib -lairpcap -L $(ROOT)/src/osdep -losdep
LIBS = -L $(ROOT)/../developers/Airpcap_Devpack/lib -lairpcap


CFLAGS	+= $(PIC) 
OBJS	= airpcap.o
DLL	= airpcap.dll

all: $(DLL)

$(DLL): $(OBJS)
	$(CC) ${CFLAGS} -shared -o $(DLL) $(OBJS) ${LIBS}

clean:
	rm -f $(DLL) $(OBJS)

=== radiotap/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(radiotap)

add_definitions("-D_BSD_SOURCE -DRADIOTAP_SUPPORT_OVERRIDES")

add_library(radiotap SHARED radiotap.c)
set_target_properties(radiotap PROPERTIES
		      COMPILE_FLAGS "-Wall -Wextra")

install(TARGETS radiotap DESTINATION lib)
install(FILES radiotap.h radiotap_iter.h DESTINATION include)

add_executable(parse parse.c)
set_target_properties(parse PROPERTIES
		      COMPILE_FLAGS "-Wall -Wextra")
target_link_libraries(parse radiotap)


add_custom_target(radiotap_check ALL
		  COMMAND ${CMAKE_SOURCE_DIR}/check/check.sh ${CMAKE_BINARY_DIR}
		  DEPENDS ${CMAKE_SOURCE_DIR}/check/*
		  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/check/
		  COMMENT "Check examples")
add_dependencies(radiotap_check parse)

=== debian/changelog ===
aircrack-ng (1:1.7+git20230807.4bf83f1a-2) unstable; urgency=medium

  * Don't build with gcrypt, use OpenSSL instead (closes: #1051201, #1071832)
  * d/control: Re-add breakline at end of file (regression on my nvim)
  * Add mising breaklines at end of files under debian/
  * d/control: Build with pkgconf instead of pkg-config
  * d/copyright: Remove files that don't exist anymore

 -- Samuel Henrique <samueloph@debian.org>  Sun, 01 Sep 2024 17:52:46 +0100

aircrack-ng (1:1.7+git20230807.4bf83f1a-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Samuel Henrique ]
  * New upstream version 1.7+git20230807.4bf83f1a
  * d/control: Build with pcre2 instead of pcre3 (Closes: #1000021)
  * d/p/s390x_ftbfs.patch: Drop patch, merged upstream
  * d/p/add_missing_import_airodump.patch: New patch to fix FTBFS

 -- Samuel Henrique <samueloph@debian.org>  Mon, 07 Aug 2023 19:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                dh-python,
                libhwloc-dev,
                libcmocka-dev,
-               libgcrypt-dev | libgcrypt20-dev | libgcrypt11-dev,
                libnl-genl-3-dev [linux-any],
                libpcap0.8-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libsqlite3-dev,
-               pkg-config,
+			   libssl-dev,
+               pkgconf,
                python3-all,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aircrack-ng
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aircrack-ng.git

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,11 @@
 else
 	(echo "NEWSSE=false"; echo "SIMDCORE=false"; echo "PTHREAD=Y") >common.cfg
 endif
-	dh_auto_configure -- --with-gcrypt --with-experimental
+	dh_auto_configure -- --with-experimental
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
+	cp scripts/dcrack.py $(CURDIR)/debian/aircrack-ng/usr/bin/dcrack
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airodump-ng-oui-update*
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/share/man/man8/airdriver-ng*
 	rm -f $(CURDIR)/debian/aircrack-ng/usr/sbin/airodump-ng-oui-update
@@ -24,8 +25,11 @@
 	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraphviz/libOuiParse.py
 	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraph-ng
 	sed -i 's|^#!/usr/bin/python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airodump-join
+	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/debian/aircrack-ng/usr/bin/dcrack
+	sed -i 's|^#!/usr/bin/env python$\|#!/usr/bin/python3|g' $(CURDIR)/scripts/airgraph-ng/airgraphviz/libDumpParse.py
 
 override_dh_fixperms-indep:
 	dh_fixperms
 	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airodump-join
 	chmod 755 $(CURDIR)/debian/airgraph-ng/usr/share/airgraph-ng/airgraph-ng
+	chmod 755 $(CURDIR)/debian/aircrack-ng/usr/bin/dcrack
